import { CollectionViewer, DataSource } from '@angular/cdk/collections';
import { Observable } from 'rxjs';
import { ItemService } from './item.service';
export declare class ItemDataSource extends DataSource<any | undefined> {
    private factService;
    private pageSize;
    private lastPage;
    private cachedFacts;
    private dataStream;
    private subscription;
    constructor(factService: ItemService);
    private _fetchFactPage;
    private _getPageForIndex;
    connect(collectionViewer: CollectionViewer): Observable<(any | undefined)[] | ReadonlyArray<any | undefined>>;
    disconnect(collectionViewer: CollectionViewer): void;
}
